Create a new tag group.
curl --request POST \
--url https://openapi.pleo.io/v1/tag-groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"tagAttributes": [
{
"name": "<string>",
"displayOrder": 123
}
]
}
'import requests
url = "https://openapi.pleo.io/v1/tag-groups"
payload = {
"name": "<string>",
"tagAttributes": [
{
"name": "<string>",
"displayOrder": 123
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', tagAttributes: [{name: '<string>', displayOrder: 123}]})
};
fetch('https://openapi.pleo.io/v1/tag-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "0f0e000-000d-0d00-000b-00db0d000fae",
"name": "<string>",
"tagAttributes": [
{
"id": "0f0e000-000d-0d00-000b-00db0d000fae",
"name": "<string>",
"displayOrder": 123,
"hidden": true
}
],
"archived": true
}{
"statusCode": 401,
"error": "Forbidden",
"message": "user_scope_insufficient"
}{
"statusCode": 403,
"error": "Forbidden",
"message": "user_scope_insufficient"
}"route not found""Something went wrong. Please contact the administrator if problems persist."Tag Groups
Create a new tag group.
deprecated
This endpoint allows for the creation of a new Tag Group with its attribute values
POST
/
tag-groups
Create a new tag group.
Authorizations
Open API Bearer token
Body
application/json
Response
Tag group has been created
This is the internal pleo identifier of the tag group
Example:
"0f0e000-000d-0d00-000b-00db0d000fae"
This is the tag group name supplied on create
These are the attributes that define a tag in this tag group, i.e. the tag columns. Each tag column is included only once.
Show child attributes
Show child attributes
This flag specifies whether the tag group has been archived in the Pleo system or not
Was this page helpful?
⌘I